Debian DLA-2892-1 : golang-1.7 - LTS security update

medium Nessus Plugin ID 156955

Language:

Synopsis

The remote Debian host is missing one or more security-related updates.

Description

The remote Debian 9 host has packages installed that are affected by multiple vulnerabilities as referenced in the dla-2892 advisory.

- In archive/zip in Go before 1.15.13 and 1.16.x before 1.16.5, a crafted file count (in an archive's header) can cause a NewReader or OpenReader panic. (CVE-2021-33196)

- Go before 1.15.15 and 1.16.x before 1.16.7 has a race condition that can lead to a net/http/httputil ReverseProxy panic upon an ErrAbortHandler abort. (CVE-2021-36221)

- ImportedSymbols in debug/macho (for Open or OpenFat) in Go before 1.16.10 and 1.17.x before 1.17.3 Accesses a Memory Location After the End of a Buffer, aka an out-of-bounds slice situation.
(CVE-2021-41771)

- net/http in Go before 1.16.12 and 1.17.x before 1.17.5 allows uncontrolled memory consumption in the header canonicalization cache via HTTP/2 requests. (CVE-2021-44716)

- Go before 1.16.12 and 1.17.x before 1.17.5 on UNIX allows write operations to an unintended file or unintended network connection as a consequence of erroneous closing of file descriptor 0 after file- descriptor exhaustion. (CVE-2021-44717)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade the golang-1.7 packages.

For Debian 9 stretch, these problems have been fixed in version 1.7.4-2+deb9u4.

See Also

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=989492

https://security-tracker.debian.org/tracker/source-package/golang-1.7

https://www.debian.org/lts/security/2022/dla-2892

https://security-tracker.debian.org/tracker/CVE-2021-33196

https://security-tracker.debian.org/tracker/CVE-2021-36221

https://security-tracker.debian.org/tracker/CVE-2021-39293

https://security-tracker.debian.org/tracker/CVE-2021-41771

https://security-tracker.debian.org/tracker/CVE-2021-44716

https://security-tracker.debian.org/tracker/CVE-2021-44717

https://packages.debian.org/source/stretch/golang-1.7

Plugin Details

Severity: Medium

ID: 156955

File Name: debian_DLA-2892.nasl

Version: 1.2

Type: local

Agent: unix

Published: 1/22/2022

Updated: 1/22/2022

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

CVSS Score Source: CVE-2021-44717

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: Medium

Base Score: 5.8

Temporal Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 4.8

Temporal Score: 4.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:golang-1.7, p-cpe:/a:debian:debian_linux:golang-1.7-doc, p-cpe:/a:debian:debian_linux:golang-1.7-go, p-cpe:/a:debian:debian_linux:golang-1.7-src, cpe:/o:debian:debian_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 1/21/2022

Vulnerability Publication Date: 8/2/2021

Reference Information

CVE: CVE-2021-33196, CVE-2021-36221, CVE-2021-39293, CVE-2021-41771, CVE-2021-44716, CVE-2021-44717